add_library(test_utils STATIC 
    TestCase.h
    TestUtils.h
    TestCaseRunner.h
    TestFramework.h
    TestCaseRunner.cpp
	TestUiApplication.h
	TestUiApplication.cpp
	TestRenderUtils.h
    )

target_include_directories(test_utils PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(test_utils core client)
set_property(TARGET test_utils PROPERTY FOLDER test)

configure_file(TestDataLocations.h.in TestDataLocations.h)